Connect a browser extension — creates/finds profile and starts session
curl --request POST \
--url https://api.kazzle.app/api/spaces/{spaceId}/browsers/extension/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"computerId": "<string>",
"browser": "<string>",
"profilePath": "<string>"
}
'{
"profile": {
"id": "<string>",
"computerId": "<string>",
"spaceId": "<string>",
"name": "<string>",
"provider": "<string>",
"providerRef": "<string>"
},
"session": {
"id": "<string>",
"profileId": "<string>",
"computerId": "<string>",
"spaceId": "<string>",
"provider": "<string>",
"status": "<string>"
}
}Better Auth JWT token
curl --request POST \
--url https://api.kazzle.app/api/spaces/{spaceId}/browsers/extension/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"computerId": "<string>",
"browser": "<string>",
"profilePath": "<string>"
}
'{
"profile": {
"id": "<string>",
"computerId": "<string>",
"spaceId": "<string>",
"name": "<string>",
"provider": "<string>",
"providerRef": "<string>"
},
"session": {
"id": "<string>",
"profileId": "<string>",
"computerId": "<string>",
"spaceId": "<string>",
"provider": "<string>",
"status": "<string>"
}
}